const path = require('path')

module.exports = {
    publicPath: '/water/',

    devServer: {
        host: '127.0.0.1',
        port: 8090,

        proxy: {
            '/backend': {
                // target: 'http://223.75.53.208:8081',
                target: 'http://127.0.0.1:8000',
            }
        }
    },
    productionSourceMap: false,

    configureWebpack: {
        resolve: {
            alias: {
                '@': path.resolve(__dirname, 'src'),
                'com': path.resolve(__dirname, 'src', 'components')
              }
        },

        module: {
           
        }
    }
}